<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */

/**
 * DB_DataObject_Extensions_Memcache_Interface
 *
 * @author  William Buick <wilbuick@gmail.com>
 * @license http://www.opensource.org/licenses/bsd-license.php New BSD License
 * @link    http://bitbucket.org/wilbuick/db_dataobject_extensions_memcache
 */

/**
 * Interface that can be used instead of the class to implement the Date extension in your own
 * code. This is useful if you have implemented your own class wrapper for DB_DataObject and are not
 * able to extend using DB_DataObject_Extensions_Memcache
 *
 * @author  William Buick <wilbuick@gmail.com>
 * @license http://www.opensource.org/licenses/bsd-license.php New BSD License
 * @link    http://bitbucket.org/wilbuick/db_dataobject_extensions_memcache
 * @see     DB_DataObject_Extensions_Memcache
 */
interface DB_DataObject_Extensions_Memcache_Interface
{
    public function _query($string);
}

?>
